Subject: Drafts Submissions cut-off

From: Phillip Hallam-Baker <[email-masked]>
Date: Mon, 1 Aug 2011 14:31:13 -0400

Over the weekend I attempted to determine the rules for discussion of drafts
at IETF meetings and was surprised to discover that they are not actually
written down anywhere (other than on the meetings page). As a result we
appear to have an anomalous situation in which an author who misses the
cut-off date for ID submissions is in fact entitled to sit on the draft for
two weeks and then submit when the ID queue re-opens.

I suggest that this is a sub-optimal state of affairs. I see two solutions:

1) Codify the requirement that materials to be discussed at the meeting must
be submitted before the cut-off and that submissions made during meetings
are strictly limited to revisions occurring after and between WG sessions.
[Except in exceptional circumstances with AD approval]

2) Eliminate the 2 week cut off completely.

My strong preference is the first. I cannot see any point in suspending what
is now an automated system in advance of meetings if it means that instead
of having the materials available a week before the meeting they are only
available after the meeting has started.

I am pretty sure that I remember this discussion in a plenary at the time
that publication of drafts was automated and publication during meetings was
no longer an exceptional circumstance.

-- 
Website: http://hallambaker.com/

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 1 Aug 2011 14:55:45 -0400

> 2) Eliminate the 2 week cut off completely.

Speaking as a WG chair but only for myself, I am opposed to either of
these two options.

(1) makes it impossible for Chairs to say, "We had a really good
discussion between the cut-off and the queue re-opening.  The editors
think they got it; please check the new text against the discussion
and be prepared to nail this down in the meeting."  It's not optimal,
but sometimes (should be rarely) qthings get done this way, and I
don't want Even More Process Police Rules to get in the way.  I
especially don't want anything more gated on the AD during IETF week.
Chairs have to ensure this rule isn't abused, and if it is then the
right thing to do is complain about WG management, not invent more
rules.

(2) means that nothing will be published in time for people to be
prepared.

I'm sensitive to the problem that is being raised here, but I think
these two options are both bad ways to solve that.

A

-- 
Andrew Sullivan
[email-masked]

---

From: Barry Leiba <[email-masked]>
Date: Mon, 1 Aug 2011 15:43:06 -0400

> 2) Eliminate the 2 week cut off completely.

When I first read this, I thought that (1) could make sense.  When I
started to read Andrew's response, I disagreed with it.  After all,
the AD can override the block on submissions.

Then I got to this:

On Mon, Aug 1, 2011 at 2:55 PM, Andrew Sullivan <[email-masked]> wrote:
> I

...and I switched.  Andrew's right: we aren't well served by a
situation that requires AD intervention in this, and we do have to
trust the chairs to manage their working groups, including managing
the time and content of the sessions.

I understand the situation that prompted Phill to suggest this, but I
think it's something that needs to be taken up with the chairs.  And,
yes, that is what happened, in a sense -- it was taken up with the
chairs -- and also in a sense, the chairs acknowledged that they
allowed something that in this case might have been problematic.

I think that's the way to deal with it, albeit with somewhat more
circumspection than happened.  I'd rather not put rules in place that
restrict how the chairs can manage the discussions in their working
groups.  Most of the time, these late updates are helpful, not
harmful.  The chairs need to be able to put their judgment to work
here.

Barry

---

From: John C Klensin <[email-masked]>
Date: Mon, 01 Aug 2011 15:47:07 -0400

+1

More flexibility, more chair accountability for the decisions
they make about that flexibility, fewer rules and fewer things
that require AD involvement except on appeal and other types of
high-level discussions about whether particular WGs are being
managed properly.

   john

--On Monday, August 01, 2011 15:43 -0400 Barry Leiba
<[email-masked]> wrote:

>> 1) Codify the requirement that materials to be discussed at
>> the meeting must be submitted before the cut-off and that
>> submissions made during meetings are strictly limited to
>> revisions occurring after and between WG sessions. [Except in
>> exceptional circumstances with AD approval]
>> 
> When I first read this, I thought that (1) could make sense.
> When I started to read Andrew's response, I disagreed with it.
> After all, the AD can override the block on submissions.
> 
> Then I got to this:
> 
>> especially don't want anything more gated on the AD during
>> IETF week. Chairs have to ensure this rule isn't abused, and
>> if it is then the right thing to do is complain about WG
>> management, not invent more rules.
> 
> situation that requires AD intervention in this, and we do
> have to trust the chairs to manage their working groups,
> including managing the time and content of the sessions.
> 
> I understand the situation that prompted Phill to suggest
> this, but I think it's something that needs to be taken up
> with the chairs.  And, yes, that is what happened, in a sense
> -- it was taken up with the chairs -- and also in a sense, the
> chairs acknowledged that they allowed something that in this
> case might have been problematic.
> 
> I think that's the way to deal with it, albeit with somewhat
> more circumspection than happened.  I'd rather not put rules
> in place that restrict how the chairs can manage the
> discussions in their working groups.  Most of the time, these
> late updates are helpful, not harmful.  The chairs need to be
> able to put their judgment to work here.
> 
> Barry
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: Sam Hartman <[email-masked]>
Date: Mon, 01 Aug 2011 15:59:34 -0400

I think removing the cutoff is the right approach here.

I'd prefer that some date remain on the list of important meeting dates
to remind ourselves that revisions should be in in time for people to
read them.

---

From: Keith Moore <[email-masked]>
Date: Mon, 1 Aug 2011 17:36:45 -0400

> to remind ourselves that revisions should be in in time for people to

If memory serves, the original purpose of the cutoff was to avoid overtaxing the resources of the Secretariat in the period immediately prior to IETF meetings.   But it has also come in handy for ADs and others who feel the need to keep up with large numbers of documents from a variety of working groups.   I wouldn't blame any AD or WG chair for imposing a "no drafts submitted after the cutoff can be discussed at the meeting" rule.

Keith

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 02 Aug 2011 09:47:24 +1200

Speaking for myself, I *highly* value the existing twin cutoff dates.
It makes it possible to perform triage on the drafts before the meeting,
and to read a reasonable number of them that seem important with some care.

Allowing drafts to be posted right up to the start of the meeting would
make any kind of systematic triage impossible, so I would end up reading
drafts at random - or more likely, sitting back and waiting to be spoon-fed
the PowerPoint.

Bad idea, which would detract from the effectiveness of WG sessions.

   Brian

---

From: Scott Brim <[email-masked]>
Date: Mon, 1 Aug 2011 17:54:16 -0400

I invoke the end to end argument.  The working groups know best
whether they will consider late contributions.  Working groups already
go around the deadlines when they want to anyway, and some publish
even stronger deadlines, or exclude drafts for other reasons. The
draft process level cutoff does a partial job that sometimes gets in
the way - a classic e2e situation. Let the draft process be nice and
simple and straightforward, without unnecessary bling.

Scott

---

From: Joel Jaeggli <[email-masked]>
Date: Mon, 1 Aug 2011 15:13:02 -0700

> If memory serves, the original purpose of the cutoff was to avoid overtaxing the resources of the Secretariat in the period immediately prior to IETF meetings.   But it has also come in handy for A…

It's one of the tools that assists with the volume. Not discussing documents which have not been socialized even if they did make the deadline is another. 

While I'm sure consistency is the hobgoblin of small minds, having global default deadlines is of great assistance while pursuing work across multiple groups and areas.

---

From: Joe Touch <[email-masked]>
Date: Mon, 01 Aug 2011 15:17:22 -0700

Not all IDs are discussed at the upcoming IETF. It is inconvenient to 
need to delay an update or new submission simply because there's an IETF 
coming up.

And all I've seen the deadline accomplish is that people post non-posted 
updates on local websites for discussion anyway.

Unless there's a load issue, IMO there ought not be a blackout period.

Joe

---

From: Keith Moore <[email-masked]>
Date: Mon, 1 Aug 2011 18:36:40 -0400

On Aug 1, 2011, at 6:17 PM, Joe Touch wrote:

> Not all IDs are discussed at the upcoming IETF. It is inconvenient to need to delay an update or new submission simply because there's an IETF coming up.
> 
> And all I've seen the deadline accomplish is that people post non-posted updates on local websites for discussion anyway.
> 

Based on response time from the [email-masked] during that period, and also on delays in getting the I-Ds out the door, I believe there is a load issue.   (no complaints about the actual response or service, but they did seem quite busy)

Keith

---

From: Paul Hoffman <[email-masked]>
Date: Mon, 1 Aug 2011 16:27:55 -0700

On Aug 1, 2011, at 11:31 AM, Phillip Hallam-Baker wrote:

> Over the weekend I attempted to determine the rules for discussion of drafts at IETF meetings and was surprised to discover that they are not actually written down anywhere (other than on the meetings page). As a result we appear to have an anomalous situation in which an author who misses the cut-off date for ID submissions is in fact entitled to sit on the draft for two weeks and then submit when the ID queue re-opens.

Another situation, one which happened at this meeting, is that the authors turn in drafts before the cutoff, in the two weeks of no submissions there are criticisms of the document that the authors agree to fix, and the authors turn in the revised draft as soon as the window opens, before the WG actually meets.

> 1) Codify the requirement that materials to be discussed at the meeting must be submitted before the cut-off and that submissions made during meetings are strictly limited to revisions occurring after and between WG sessions. [Except in exceptional circumstances with AD approval]
> 

Or, (3), specify somewhere that the submission window opens at the beginning of the meeting and allow WG chairs to decide what they want to do about new drafts. In the case last week, the draft was turned in and posted to the mailing list on Monday ahead of the meeting on Friday; the chairs seemed to like that.

--Paul Hoffman

---

From: Sam Hartman <[email-masked]>
Date: Mon, 01 Aug 2011 19:39:10 -0400

>>>>> "Keith" == Keith Moore <[email-masked]> writes:

    Keith> On Aug 1, 2011, at 3:59 PM, Sam Hartman wrote:
    >> I'd prefer that some date remain on the list of important meeting
    >> dates to remind ourselves that revisions should be in in time for
    >> people to read them.

    Keith> If memory serves, the original purpose of the cutoff was to
    Keith> avoid overtaxing the resources of the Secretariat in the
    Keith> period immediately prior to IETF meetings.  But it has also
    Keith> come in handy for ADs and others who feel the need to keep up
    Keith> with large numbers of documents from a variety of working
    Keith> groups.  I wouldn't blame any AD or WG chair for imposing a
    Keith> "no drafts submitted after the cutoff can be discussed at the
    Keith> meeting" rule.

Right.  I'd expect chairs to do something along these lines, moderated
for their group.
Having something on the important meeting dates as a general reminder
seems like a good idea to me.

---

From: "t.petch" <[email-masked]>
Date: Tue, 2 Aug 2011 10:00:20 +0200

----- Original Message -----
From: "Keith Moore" <[email-masked]>
To: "Joe Touch" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, August 02, 2011 12:36 AM

> > Not all IDs are discussed at the upcoming IETF. It is inconvenient to need
to delay an update or new submission simply because there's an IETF coming up.
> Based on response time from the [email-masked] during that period,
and also on delays in getting the I-Ds out the door, I believe there is a load
issue.   (no complaints about the actual response or service, but they did seem
quite busy)

Yes, except that I do see complaints, of I-Ds appearing after a cutoff, with the
explanation being that there has been a delay of some days from submission to
announcement, so the I-Ds were submitted before the cutoff but appeared after.
Which suggests that the system gets overloaded

And this is a minor problem.  As suggested in another post, the cutoff is a good
time
to do a trawl, especially of unadopted I-Ds which may not have been mentioned
on the list, of all announced I-Ds to catch any that I have missed.

On balance, the cutoff is a good thing.

Tom Petch

---

From: Wes Hardaker <[email-masked]>
Date: Tue, 02 Aug 2011 07:01:57 -0700

>>>>> On Mon, 1 Aug 2011 16:27:55 -0700, Paul Hoffman <[email-masked]> said:

PH> Or, (3), specify somewhere that the submission window opens at the
PH> beginning of the meeting and allow WG chairs to decide what they
PH> want to do about new drafts. In the case last week, the draft was
PH> turned in and posted to the mailing list on Monday ahead of the
PH> meeting on Friday; the chairs seemed to like that.

It all comes down to "how to best get information to those that need
it (as fast as possible)".  I too, read the older version of the draft
that being discussed and didn't realize there was a new one because I
rarely get to *all* of my mail during IETF weeks (I'm too busy talking
in the hallways to read email).  That being said, I think forward
progress on drafts are most likely to happen *during* IETF meetings in
hallways and thus it's impossible to enter a WG meeting and assume that
no thinking has changed in the 3 weeks since the last draft was
published.

IE, this has nothing to do with the drafts themselves.  It has to do
with communication of changebars.  In the case where significant changes
have taken place in thinking (documented or not) because of
conversations or work that has commenced since the cut-off date, it
should be the responsibility of the authors to give a quick summary
early in the meeting about recent progress, as it's indeed unfair to
assume everyone in the audience hasn't printed and read everything only
an hour before the meeting and were present in every conversation that
occurred over the cookie table (regardless of whether there were
actually cookies or just crumbs there).  It should also be up to the
chairs to bug the authors about making sure that any recent changes are,
in fact, at least listed or presented in detail depending on what's best
for the meeting.

You can't hold a discussion half the participants have only half the
information.  It doesn't matter who's fault it was.  It only matters
that it's a problem.

-- 
Wes Hardaker
SPARTA, Inc.

---

From: SM <[email-masked]>
Date: Mon, 01 Aug 2011 17:46:49 -0700

Hi Phillip,
At 11:31 AM 8/1/2011, Phillip Hallam-Baker wrote:
>Over the weekend I attempted to determine the rules for discussion 
>of drafts at IETF meetings and was surprised to discover that they 
>are not actually written down anywhere (other than on the meetings 
>page). As a result we appear to have an anomalous situation in which 
>an author who misses the cut-off date for ID submissions is in fact 
>entitled to sit on the draft for two weeks and then submit when the 
>ID queue re-opens.
>
>1) Codify the requirement that materials to be discussed at the 
>meeting must be submitted before the cut-off and that submissions 
>made during meetings are strictly limited to revisions occurring 
>after and between WG sessions. [Except in exceptional circumstances 
>with AD approval]
>

I'll start by quoting Scott Brim [1]:

   "One generation's rule of thumb becomes the next generation's dogma.
    The IETF should sit up and really think when someone suggests that
    a process has become dogma."

Quoting Ned [2]:

   "I'd much rather breach the sanctity of the rules by getting rid of
    some of them entirely."

Quoting Russ [3]:

   "When all of the Internet-Drafts were processed by Secretariat staff,
    there was a huge workload concern.  Now that the Internet-Draft
    Submission Tool (IDST) is taking the bulk of the load, there are
    resources to deal with these exceptions, as was just demonstrated."

Which was in response to John Klensin who said [4]:

   "The original reason for those cutoffs -- even more important
    than giving people time to read drafts -- was that the
    submissions were overwhelming the Secretariat.  Not only did
    they have other things to do in the weeks before the meeting, it
    was becoming unpredictable whether a draft submitted in advance
    of the meeting would be posted early enough for the relevant WG
    to look at it.  The split between "new" and "revised" drafts was
    another attempt to protect the Secretariat -- notions of having
    to formally approve WG drafts came later."

And Dave said [5]:

   "It would seem that the right thing is to remove the cutoff and let
     each working group decide on what drafts will be worked on."

Spencer Dawkins [6] quoted Section 7.1 of RFC 2418.

Pete Resnick was of the opinion [7] that:

   "The cutoff is an arbitrary procedure to try (poorly IMO) to enforce
    the 2418 rule."

I suggest that WG chairs stop asking the working group whether they 
have read the draft as it is silly.  It is an impossible task to keep 
up with the flood of I-D that are submitted on Meeting Monday.

Regards,
-sm

1. msg-id: [email-masked]
2. msg-id: [email-masked]
3. msg-id: [email-masked]
4. msg-id: [email-masked]
5. msg-id: [email-masked]
6. msg-id: [email-masked]
7. msg-id: p06250100c4a9226eac87@[75.145.176.242]

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Tue, 2 Aug 2011 21:03:28 -0400

Well here we have a rule that seems to be codified so it has the exact
opposite of any rational effect.

Either don't have a cutoff at all or make it a requirement that all
materials be submitted in advance of the meeting.

On Mon, Aug 1, 2011 at 8:46 PM, SM <[email-masked]> wrote:

>> Over the weekend I attempted to determine the rules for discussion of
>> drafts at IETF meetings and was surprised to discover that they are not
>> actually written down anywhere (other than on the meetings page). As a
>> result we appear to have an anomalous situation in which an author who
>> misses the cut-off date for ID submissions is in fact entitled to sit on the
>> draft for two weeks and then submit when the ID queue re-opens.
>>
>> 1) Codify the requirement that materials to be discussed at the meeting
>> must be submitted before the cut-off and that submissions made during
>> meetings are strictly limited to revisions occurring after and between WG
>> sessions. [Except in exceptional circumstances with AD approval]
>>
> I suggest that WG chairs stop asking the working group whether they have
> read the draft as it is silly.  It is an impossible task to keep up with the
> flood of I-D that are submitted on Meeting Monday.
>
> Regards,
> -sm
>
> 2. msg-id: 01MXC0962CLI00007A@mauve.**mrochek.com<[email-masked]>
> 3. msg-id: 20080719191556.567F03A6A32@**core3.amsl.com<[email-masked]>
> 4. msg-id: 2E1B2AB9703690B8E1EEBE90@p3.**JCK.COM<[email-masked]>
> 6. msg-id: [email-masked]<[email-masked]>
> 7. msg-id: p06250100c4a9226eac87@[75.145.**176.242]
>

---

From: Pete Resnick <[email-masked]>
Date: Tue, 2 Aug 2011 20:52:10 -0500

> materials be submitted in advance of the meeting.

Personally, I think chairs should have the discretion to allow or 
disallow discussion of documents submitted at any time, that they should 
be tougher about what they disallow, and that they should face the wrath 
of their WG members and their AD if they aren't. Right now, we have a 
deadline, but also allow for special dispensation to let drafts through. 
If chairs feel that they need *some* deadline written down somewhere in 
order to push back on things, I have an alternate suggestion:

Right now, all -00 submissions of WG drafts are gated on chair approval 
(I believe in an automated fashion). We could simply make the tool gate 
*all* WG submissions from some time before the meeting through the 
meeting week. That way, chairs can decide whether they will enforce the 
deadline and not let the draft through, or make exceptions and let the 
drafts through. See above statement regarding "wrath" if the chairs 
abuse this authority in either direction.

(If we had the resources, we could make the tool settable on a per-WG 
basis: One chair could say, "I want to gate all drafts", another could 
say, "I want to gate none", and others could put in a date range for 
gating.)

Again, I don't think there needs to be a cutoff or a gating function. 
Chairs already have the authority to tell folks to go jump in a lake. 
But I'm not against a tool if chairs feel like they need some sort of 
"official" pushback mechanism.

pr

-- 
Pete Resnick<http://www.qualcomm.com/~presnick/>
Qualcomm Incorporated - Direct phone: (858)651-4478, Fax: (858)651-1102

---

From: Alia Atlas <[email-masked]>
Date: Tue, 2 Aug 2011 23:13:03 -0400

Several years ago, when submitting drafts became automated, we used to have
a hard cut-off and be unable to submit new drafts until after IETF.

That caused issues if discussions caused the desire to change/update drafts
during the meeting, then there was no way of having an easily accessible
version.

The current situation is a compromise where drafts can be updated during the
meeting - and WG chairs have discretion.

I think we've tweaked this one enough - not all WGs are the same.

Alia

On Tue, Aug 2, 2011 at 9:52 PM, Pete Resnick <[email-masked]> wrote:

> Personally, I think chairs should have the discretion to allow or disallow
> discussion of documents submitted at any time, that they should be tougher
> about what they disallow, and that they should face the wrath of their WG
> members and their AD if they aren't. Right now, we have a deadline, but also
> allow for special dispensation to let drafts through. If chairs feel that
> they need *some* deadline written down somewhere in order to push back on
> things, I have an alternate suggestion:
>
> Right now, all -00 submissions of WG drafts are gated on chair approval (I
> believe in an automated fashion). We could simply make the tool gate *all*
> WG submissions from some time before the meeting through the meeting week.
> That way, chairs can decide whether they will enforce the deadline and not
> let the draft through, or make exceptions and let the drafts through. See
> above statement regarding "wrath" if the chairs abuse this authority in
> either direction.
>
> basis: One chair could say, "I want to gate all drafts", another could say,
> "I want to gate none", and others could put in a date range for gating.)
>
> Chairs already have the authority to tell folks to go jump in a lake. But
> I'm not against a tool if chairs feel like they need some sort of "official"
> pushback mechanism.
>
> pr
>
> --
> Pete Resnick<http://www.qualcomm.**com/~presnick/<http://www.qualcomm.com/%7Epresnick/>
> >
> ______________________________**_________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/**listinfo/ietf<https://www.ietf.org/mailman/listinfo/ietf>
>

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Wed, 3 Aug 2011 08:55:14 -0400

Again, perfectly reasonable, but not actually documented as the process.

We write everything else down, why not this?

Sent from my iPad

On Aug 2, 2011, at 21:52, Pete Resnick <[email-masked]> wrote:

>> Either don't have a cutoff at all or make it a requirement that all materials be submitted in advance of the meeting.
> 
> Personally, I think chairs should have the discretion to allow or disallow discussion of documents submitted at any time, that they should be tougher about what they disallow, and that they should face the wrath of their WG members and their AD if they aren't. Right now, we have a deadline, but also allow for special dispensation to let drafts through. If chairs feel that they need *some* deadline written down somewhere in order to push back on things, I have an alternate suggestion:
> 
> Right now, all -00 submissions of WG drafts are gated on chair approval (I believe in an automated fashion). We could simply make the tool gate *all* WG submissions from some time before the meeting through the meeting week. That way, chairs can decide whether they will enforce the deadline and not let the draft through, or make exceptions and let the drafts through. See above statement regarding "wrath" if the chairs abuse this authority in either direction.
> 
> (If we had the resources, we could make the tool settable on a per-WG basis: One chair could say, "I want to gate all drafts", another could say, "I want to gate none", and others could put in a date range for gating.)
> 
> Again, I don't think there needs to be a cutoff or a gating function. Chairs already have the authority to tell folks to go jump in a lake. But I'm not against a tool if chairs feel like they need some sort of "official" pushback mechanism.
> 
> pr
> 
> --

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 3 Aug 2011 09:02:27 -0400

> We write everything else down, why not this?

My original objection was to exactly this trend.  I don't believe that
writing everything down is a good idea.  Some things require
judgement, not rules; and if we have moved to the point where we
actually have to use Robert's Rules or some cognate in order to
function because judgement no longer works for this organization, then
I suggest the IETF has outlived its usefulness and ought to be put
down.

I like the submission cut-off because it is a useful forcing function
to get drafts in by a reasonable time before the meeting so that
people can read them.  But I wouldn't argue for it on principled
grounds, and if people really believe we need to do something, I'm in
favour of getting rid of that.  I nevertheless predict that such a
decision will yield less good results than what we have now.

A

-- 
Andrew Sullivan
[email-masked]

---

From: [email-masked]
Date: Wed, 3 Aug 2011 16:03:19 +0300

By the way, it has been pretty usual practise for me to make an exemption
for drafts needing revision and in the beyond-wg stages. Resolving
directorate/iesg comments, for instance. I did this for some drafts prior
to ietf-81, for instance.

Note that this is a separate issue from the general deadline discussion.
There is no good reason to hold drafts, unless they are discussed in the
meeting. Be aware that you can ask for this from your AD (who in turn
makes a request to secretary).

Jari

---

From: todd glassey <[email-masked]>
Date: Wed, 03 Aug 2011 10:58:57 -0700

On 8/2/2011 6:52 PM, Pete Resnick wrote:
> disallow discussion of documents submitted at any time, that they 
> should be tougher about what they disallow, and that they should face 
> the wrath of their WG members and their AD if they aren't. Right now, 
> we have a deadline, but also allow for special dispensation to let 
> drafts through. 
Then the Chair or the WG Management becomes the controller of the actual 
vetting process and what the content of the standard is, and that 
violates the Fair and Open mindset again. The Chair of the WG is the 
facilitator of the groups operations and nothing else.

> If chairs feel that they need *some* deadline written down somewhere 
> in order to push back on things, I have an alternate suggestion:
>
> Right now, all -00 submissions of WG drafts are gated on chair 
> approval (I believe in an automated fashion). We could simply make the 
> tool gate *all* WG submissions from some time before the meeting 
> through the meeting week. That way, chairs can decide whether they 
> will enforce the deadline and not let the draft through, or make 
> exceptions and let the drafts through. See above statement regarding 
> "wrath" if the chairs abuse this authority in either direction.
>

-- 
Todd S. Glassey
This is from my personal email account and any materials from this account come with personal disclaimers.

Further I OPT OUT of any and all commercial emailings.

---

From: Michael Richardson <[email-masked]>
Date: Wed, 03 Aug 2011 13:59:01 -0400

>>>>> "Andrew" == Andrew Sullivan <[email-masked]> writes:

    Andrew> Speaking as a WG chair but only for myself, I am opposed to either of
    Andrew> these two options.

    Andrew> (1) makes it impossible for Chairs to say, "We had a really good
    Andrew> discussion between the cut-off and the queue re-opening.  The editors
    Andrew> think they got it; please check the new text against the
    Andrew> discussion

Well, if the discussion (on the mailing list) was so good, then the
number of changes to the document should be very precise, and should of
course, be in an email on the mailing list, right?

-- 
]       He who is tired of Weird Al is tired of life!           |  firewalls  [
]   Michael Richardson, Sandelman Software Works, Ottawa, ON    |net architect[
] [email-masked] http://www.sandelman.ottawa.on.ca/ |device driver[
   Kyoto Plus: watch the video <http://www.youtube.com/watch?v=kzx1ycLXQSE>
	               then sign the petition.

---

From: Andrew Sullivan <[email-masked]>
Date: Wed, 3 Aug 2011 14:22:32 -0400

> course, be in an email on the mailing list, right?

Not necessarily.  Especially in the sorts of cases I'm thinking about,
one sometimes sees two or three different proposals for text, general
kicking around of large issues, and so on.  It's the editors'
responsibility to synthesise that input and come up with final text
that reflects the views of the WG.  The text might have gone to the
list before being incorporated, but might as easily have been put into
the draft where it was needed, and the list sent a pointer.

In case it wasn't clear, I'm really only thinking of the sort of
large-scale changes or discussions that will sometimes affect drafts,
typically when a major substantive issue (like of principle) has to be
dealt with.  Small and narrowly focussed issues can almost always be
worked out on list.  But if we only ever had issues that could be
worked out on list, then we wouldn't need to have IETF meetings at
all.

If there's some progress in the sort of large issue of this sort, I
want chairs to have the freedom to include that progress in their
consideration.  (Indeed, there's an argument to be made that the
particular irritant that kicked off this discussion is exactly that
sort of case, although we seem to be thrashing it out on the list
anyway.)  I know we can all think of 20 minute presentations 15 of
which were details of the entire history of a WG draft; I don't
believe that is as valuable as using in-person time to hash out the
large problems facing a WG, and if there is late input to the latter
class of discussion I'm all for including it.

A

-- 
Andrew Sullivan
[email-masked]

---

From: "Randy Presuhn" <[email-masked]>
Date: Wed, 3 Aug 2011 12:24:54 -0700

Hi -

> From: "Andrew Sullivan" <[email-masked]>
> To: <[email-masked]>
> Sent: Wednesday, August 03, 2011 6:02 AM
> Subject: Re: Drafts Submissions cut-off
...
> decision will yield less good results than what we have now.

Other, less contrived "forcing functions" are possible.
For example, I know of at least one WG chair who insisted on
including links in meeting agendas to the the exact versions of the
drafts to be discussed.  This caused the agenda posting cutoff
to become the effective deadline.  This is also consistent with
the expressed goal of giving chairs some flexibility.

But we don't need more rules to practice this!  It would not bother
me at all if the two-week cutoff were eliminated.  If anything, it
would encourage chairs to be more precise in their meeting agendas.

Randy